| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_IACFPageTableController_V2 Class Referenceabstract

`#include <AAX_IACFPageTableController.h>`

Inheritance diagram for AAX_IACFPageTableController_V2:
[legend]
Collaboration diagram for AAX_IACFPageTableController_V2:
[legend]

## Description

Interface for host operations related to the page tables for this plug-in.

Note
  In the AAX Library, access to this interface is provided through AAX_IController

## Public Member Functions
virtual AAX_Result | CopyTableForEffectFromFile (const char *inPageTableFilePath, AAX_ETextEncoding inFilePathEncoding, AAX_CPropertyValue inManufacturerID, AAX_CPropertyValue inProductID, AAX_CPropertyValue inPlugInID, uint32_t inTableType, int32_t inTablePageSize, IACFUnknown *oPageTable) const =0
virtual AAX_Result | CopyTableOfLayoutFromFile (const char *inPageTableFilePath, AAX_ETextEncoding inFilePathEncoding, const char *inLayoutName, uint32_t inTableType, int32_t inTablePageSize, IACFUnknown *oPageTable) const =0
Public Member Functions inherited from AAX_IACFPageTableController
virtual AAX_Result | CopyTableForEffect (AAX_CPropertyValue inManufacturerID, AAX_CPropertyValue inProductID, AAX_CPropertyValue inPlugInID, uint32_t inTableType, int32_t inTablePageSize, IACFUnknown *oPageTable) const =0
virtual AAX_Result | CopyTableOfLayoutForEffect (const char *inEffectID, const char *inLayoutName, uint32_t inTableType, int32_t inTablePageSize, IACFUnknown *oPageTable) const =0
Public Member Functions inherited from IACFUnknown
virtual BEGIN_ACFINTERFACE ACFRESULT ACFMETHODCALLTYPE | QueryInterface (const acfIID &iid, void **ppOut)=0
| Returns pointers to supported interfaces.
virtual acfUInt32 ACFMETHODCALLTYPE | AddRef (void)=0
| Increments reference count.
virtual acfUInt32 ACFMETHODCALLTYPE | Release (void)=0
| Decrements reference count.

## Member Function Documentation

## ◆ CopyTableForEffectFromFile()

virtual AAX_Result AAX_IACFPageTableController_V2::CopyTableForEffectFromFile | ( | const char * | inPageTableFilePath,
|  | AAX_ETextEncoding | inFilePathEncoding,
|  | AAX_CPropertyValue | inManufacturerID,
|  | AAX_CPropertyValue | inProductID,
|  | AAX_CPropertyValue | inPlugInID,
|  | uint32_t | inTableType,
|  | int32_t | inTablePageSize,
|  | IACFUnknown * | oPageTable
| ) |  | const
| pure virtual

Returns
  AAX_ERROR_NULL_ARGUMENT if `inPageTableFilePath` or `oPageTable` is null
  AAX_ERROR_UNSUPPORTED_ENCODING if `inFilePathEncoding` has unsupported encoding value
  AAX_ERROR_INVALID_ARGUMENT if no valid page table mapping can be created due to the specified arguments

Parameters

  [in] | inPageTableFilePath | Path to XML page table file.
  [in] | inFilePathEncoding | File path text encoding.
  [in] | inManufacturerID | Manufacturer ID of the desired plug-in type
  [in] | inProductID | Product ID of the desired plug-in type
  [in] | inPlugInID | Type ID of the desired plug-in type (AAX_eProperty_PlugInID_Native, AAX_eProperty_PlugInID_TI)
  [in] | inTableType | Four-char type identifier for the requested table type (e.g. `'PgTL'`, `'Av81'`, etc.)
  [in] | inTablePageSize | Page size for the requested table. Some tables support multiple page sizes.
  [out] | oPageTable | The page table object to which the page table data should be copied. `oPageTable` must support AAX_IACFPageTable

See also
  AAX_IController::CreateTableCopyForEffect()

## ◆ CopyTableOfLayoutFromFile()

virtual AAX_Result AAX_IACFPageTableController_V2::CopyTableOfLayoutFromFile | ( | const char * | inPageTableFilePath,
|  | AAX_ETextEncoding | inFilePathEncoding,
|  | const char * | inLayoutName,
|  | uint32_t | inTableType,
|  | int32_t | inTablePageSize,
|  | IACFUnknown * | oPageTable
| ) |  | const
| pure virtual

Returns
  AAX_ERROR_NULL_ARGUMENT if `inPageTableFilePath`, `inLayoutName`, or `oPageTable` is null
  AAX_ERROR_UNSUPPORTED_ENCODING if `inFilePathEncoding` has unsupported encoding value
  AAX_ERROR_INVALID_ARGUMENT if no valid page table mapping can be created due to the specified arguments

Parameters

  [in] | inPageTableFilePath | Path to XML page table file.
  [in] | inFilePathEncoding | File path text encoding.
  [in] | inLayoutName | Page table layout name ("name" attribute of the `PTLayout` XML tag)
  [in] | inTableType | Four-char type identifier for the requested table type (e.g. `'PgTL'`, `'Av81'`, etc.)
  [in] | inTablePageSize | Page size for the requested table. Some tables support multiple page sizes.
  [out] | oPageTable | The page table object to which the page table data should be copied. `oPageTable` must support AAX_IACFPageTable

See also
  AAX_IController::CreateTableCopyForLayout()

The documentation for this class was generated from the following file:

- AAX_IACFPageTableController.h